cascading.flow.planner.rule

## Enum ProcessLevel

- java.lang.Object
- - java.lang.Enum<ProcessLevel>
  - - cascading.flow.planner.rule.ProcessLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProcessLevel>

    public enum ProcessLevel
    extends java.lang.Enum<ProcessLevel>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Assembly` Applies assertions or transformations to the whole FlowElement assembly.
`Node` Applies to generation sub-graphs of steps where is a node is a unit of processing with a step.
`Pipeline` Applies to sub-graphs within nodes having a single streamed input, and multiple accumulated inputs.
`Step` Applies to sub-graphs of a flow where a step is a submitted unit of cluster work.

### Method Summary

Methods
`static ProcessLevel` `parent(ProcessLevel level)`
`static ProcessLevel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProcessLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Assembly

    public static final ProcessLevel Assembly

Applies assertions or transformations to the whole FlowElement assembly.

#### Step

    public static final ProcessLevel Step

Applies to sub-graphs of a flow where a step is a submitted unit of cluster work.

#### Node

    public static final ProcessLevel Node

Applies to generation sub-graphs of steps where is a node is a unit of processing with a step.

In MapReduce its a Map or Reduce node (where Map and Reduce are Kinds).

In Tez its a Processor.

#### Pipeline

    public static final ProcessLevel Pipeline

Applies to sub-graphs within nodes having a single streamed input, and multiple accumulated inputs.

In MapReduce, a Mapper task can arbitrarily process a given input file via the MultiInputSplit.

Tez currently does not allow multiply physical inputs per processor.

### Method Detail

#### values

    public static ProcessLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ProcessLevel c : ProcessLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ProcessLevel valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### parent

    public static ProcessLevel parent(ProcessLevel level)